The Mediator Viewer requires an Intel® compatible processor, a 32-bit Windows® OS, and Microsoft Internet Explorer® or Netscape®.